{% extends 'Admin/layout.html.twig' %}


{% block title %}Admin Profile{% endblock %}

{% block breadcrumbs %}
    <li class="breadcrumb-item active">Users</li>
{% endblock %}

{% block body_id 'admin_list_users' %}

{% block body %}

    <div class="card mb-3">
        <div class="card-header text-white bg-primary">
            <i class="fas fa-table"></i>
            All Users Table
        </div>
        <div class="card-body">

            {% include 'Admin/Default/_datatable_head.html.twig' with {'url_list':url('admin_list_users')} only  %}

            <div class="row">
                <div class="col">

                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover table-sm">
                            <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Username</th>
                                <th scope="col">Email</th>
                                <th scope="col">Gender</th>
                                <th scope="col">Role</th>
                                <th scope="col">Last Login</th>
                                <th scope="col">Is Enabled</th>
                                <th scope="col">Is Locked</th>
                                <th scope="col">Is Reported</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% if users is defined %}
                                {% for user in users %}
                                    <tr>
                                        <th scope="row">
                                            <a href="{{ url('admin_show_user', {id:user.id}) }}">{{ user.id }}</a>
                                        </th>
                                        <td>{{ user.username|e }}</td>
                                        <td>{{ user.email }}</td>
                                        <td>{{ user.gender }}</td>
                                        <td>{{ user.role }}</td>
                                        <td>{{ user.lastLogin }}</td>
                                        <td class="{{ user.enabled ?: 'bg-danger' }}">{{ user.enabled ? 'Y' : 'N' }}</td>
                                        <td class="{{ user.locked ? 'bg-danger' }}">{{ user.locked  ? 'Y' : 'N' }}</td>
                                        <td class="{{ user.isReported ? 'bg-danger' }}">{{ user.isReported ? 'Y' : 'N' }}</td>
                                    </tr>
                                {% else %}
                                    <tr>
                                        <td colspan="9">
                                            <p class="text-center">No users found</p>
                                        </td>
                                    </tr>
                                {% endfor %}
                            {% endif %}
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col">
                    <div class="float-right">
                        {% include 'Admin/Default/_pagination.html.twig' with {'p':paginator} only %}
                    </div>
                </div>
            </div>

        </div>
    </div>


{% endblock %}